#
# spec file for package python-jsonlines
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global skip_python2 1
%{?sle15_python_module_pythons}
Name:           python-jsonlines
Version:        4.0.0
Release:        1.7
Summary:        Library with helpers for the jsonlines file format
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/wbolster/jsonlines
Source:         https://github.com/wbolster/jsonlines/archive/%{version}.tar.gz
BuildRequires:  %{python_module devel >= 3.8}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module ujson}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
Requires:       python-ujson
%python_subpackages

%description
Python library to simplify working with jsonlines_ and ndjson_ data.

%prep
%setup -q -n jsonlines-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_version}

%files %{python_files}
%doc README.rst
%license LICENSE.rst
%{python_sitelib}/*

%changelog
* Fri Dec  8 2023 Dirk Müller <dmueller@suse.com>
- update to 4.0.0:
  * use ‘orjson’ or ‘ujson’ for reading if available
  * drop support for end-of-life Python versions; this package is now
    Python 3.8+ only.
* Sat Jul  1 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 3.0.0
  * add type annotations; adopt mypy in strict mode (#58, #62)
  * ignore UTF-8 BOM sequences in various scenarios (#69)
  * support dumps() callables returning bytes again (#64)
  * add basic support for rfc7464 text sequences (#61)
  * drop support for numbers.Number in type= arguments (#63)
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- update to 2.0.0:
  * drop support for python versions older than 3.6
* Wed Aug 29 2018 mcalabkova@suse.com
- Added python-jsonlines needed by python-cloudflare, which is
  needed by python-certbot-dns-cloudflare
